/* SystemTimeline Styles */
.SystemTimeline { 
  list-style: none;
  padding: 0;
  margin: auto ;
  position: relative;
  align-items: center;
}

/* The vertical line */
.SystemTimeline::before {
  content: "";
  position: absolute;
  left: 5px; /* Centers the line under the 12px dot */
  top: 0;
  height: 100%;
  width: 2px;
  background-color: var(--card-border);
  border-radius: 9999px;
  margin: auto;

}

.SystemTimeline-item {
  position: relative;
  display: flex;
  gap: 1rem;
  padding-bottom: 2rem;
  
}

/* Hide the line on the last item to keep it clean */
.SystemTimeline-item:last-child {
  padding-bottom: 0;
  margin: auto;

}

/* The Indicator Dot */
.SystemTimeline-dot {
  position: relative;
  z-index: -600;
  flex-shrink: 0;
  width: 12px;
  height: 12px;
  background-color: var(--text-color);
  border-radius: 50%;
  margin-top: 6px;  

}

.SystemTimeline-content {
  margin-top: -2px;
  border: 1px solid var(--card-border);
  padding: 1rem;
  border-radius: 12px;
  width: 1000px;
  min-width: auto;
  margin: auto;

  max-height: 340px;
    overflow-y: auto;
    min-height: 300px;
    background-color: var(--card-bg);
}

.SystemTimeline-time {
  display: block;
  font-size: 0.75rem;
  font-weight: 500;
  color: var(--text-color);
  line-height: 1;
  margin-bottom: 0.25rem;
}

.SystemTimeline-title {
  margin: 0;
  font-size: 1.125rem;
  font-weight: 700;
  color: var(--text-color);
}

.SystemTimeline-description {
  margin: 0.125rem 0 0;
  font-size: 0.875rem;
  color: var(--text-color);
  line-height: 1.5;
}

.TimelineSystemCard {  
  background-color: var(--card-bg);
  border-radius: 24px;
  padding: 24px;
  border: 1px solid var(--main-card-border);
  transition: transform 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: fit-content; 
  min-width: 140px;
  max-width: 320px;
} 

.TimeLineSection {
    max-height: 700px;
    height: 600px;
}